VkSwapchainCreateInfoKHR Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkSwapchainCreateInfoKHR:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkSwapchainCreateFlagsKHR | flags
VkSurfaceKHR | surface
uint32_t | minImageCount
VkFormat | imageFormat
VkColorSpaceKHR | imageColorSpace
VkExtent2D | imageExtent
uint32_t | imageArrayLayers
VkImageUsageFlags | imageUsage
VkSharingMode | imageSharingMode
uint32_t | queueFamilyIndexCount
const uint32_t * | pQueueFamilyIndices
VkSurfaceTransformFlagBitsKHR | preTransform
VkCompositeAlphaFlagBitsKHR | compositeAlpha
VkPresentModeKHR | presentMode
VkBool32 | clipped
VkSwapchainKHR | oldSwapchain

## Detailed Description

Definition at line 3547 of file vulkan.h.

## Field Documentation

## clipped

VkBool32 VkSwapchainCreateInfoKHR::clipped

Definition at line 3564 of file vulkan.h.

Referenced by createSwapchain().

## compositeAlpha

VkCompositeAlphaFlagBitsKHR VkSwapchainCreateInfoKHR::compositeAlpha

Definition at line 3562 of file vulkan.h.

Referenced by createSwapchain().

## flags

VkSwapchainCreateFlagsKHR VkSwapchainCreateInfoKHR::flags

Definition at line 3550 of file vulkan.h.

## imageArrayLayers

uint32_t VkSwapchainCreateInfoKHR::imageArrayLayers

Definition at line 3556 of file vulkan.h.

Referenced by createSwapchain().

## imageColorSpace

VkColorSpaceKHR VkSwapchainCreateInfoKHR::imageColorSpace

Definition at line 3554 of file vulkan.h.

Referenced by createSwapchain().

## imageExtent

VkExtent2D VkSwapchainCreateInfoKHR::imageExtent

Definition at line 3555 of file vulkan.h.

Referenced by createSwapchain().

## imageFormat

VkFormat VkSwapchainCreateInfoKHR::imageFormat

Definition at line 3553 of file vulkan.h.

Referenced by createSwapchain().

## imageSharingMode

VkSharingMode VkSwapchainCreateInfoKHR::imageSharingMode

Definition at line 3558 of file vulkan.h.

Referenced by createSwapchain().

## imageUsage

VkImageUsageFlags VkSwapchainCreateInfoKHR::imageUsage

Definition at line 3557 of file vulkan.h.

Referenced by createSwapchain().

## minImageCount

uint32_t VkSwapchainCreateInfoKHR::minImageCount

Definition at line 3552 of file vulkan.h.

Referenced by createSwapchain().

## oldSwapchain

VkSwapchainKHR VkSwapchainCreateInfoKHR::oldSwapchain

Definition at line 3565 of file vulkan.h.

Referenced by createSwapchain().

## pNext

const void* VkSwapchainCreateInfoKHR::pNext

Definition at line 3549 of file vulkan.h.

## pQueueFamilyIndices

const uint32_t* VkSwapchainCreateInfoKHR::pQueueFamilyIndices

Definition at line 3560 of file vulkan.h.

## presentMode

VkPresentModeKHR VkSwapchainCreateInfoKHR::presentMode

Definition at line 3563 of file vulkan.h.

Referenced by createSwapchain().

## preTransform

VkSurfaceTransformFlagBitsKHR VkSwapchainCreateInfoKHR::preTransform

Definition at line 3561 of file vulkan.h.

Referenced by createSwapchain().

## queueFamilyIndexCount

uint32_t VkSwapchainCreateInfoKHR::queueFamilyIndexCount

Definition at line 3559 of file vulkan.h.

## sType

VkStructureType VkSwapchainCreateInfoKHR::sType

Definition at line 3548 of file vulkan.h.

Referenced by createSwapchain().

## surface

VkSurfaceKHR VkSwapchainCreateInfoKHR::surface

Definition at line 3551 of file vulkan.h.

Referenced by createSwapchain().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h